<?php

spl_autoload_register(function ($className) {
    
    $ns = 'App\\';
    if (strpos($className, $ns) === 0) {
        
        $noNamespace = str_replace($ns, '', $className);
        $normalizedClassName = str_replace('\\', DIRECTORY_SEPARATOR, $noNamespace);
        $fullPathFile = __DIR__ . '/classes/' . $normalizedClassName . '.php';
        
        $realpath = realpath($fullPathFile);
        if ($realpath !== false) {
            require_once($realpath);
        }
        
    }
    
});
